For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET All Countries

Returns all the countries available within your subscription.

https://api.sportmonks.com/v3/core/countries
{
  "data": [
    {
      "id": 2,
      "continent_id": 1,
      "name": "Poland",
      "official_name": "Republic of Poland",
      "fifa_name": "POL",
      "iso2": "PL",
      "iso3": "POL",
      "latitude": "52.147850036621094",
      "longitude": "19.37775993347168",
      "geonameid": 798544,
      "borders": [
        "BLR",
        "CZE",
        "DEU",
        "LTU",
        "RUS",
        "SVK",
        "UKR"
      ],
      "image_path": "https://cdn.sportmonks.com/images//countries/png/short/pl.png"
    },
    {
      "id": 5,
      "continent_id": 7,
      "name": "Brazil",
      "official_name": "Federative Republic of Brazil",
      "fifa_name": "BRA",
      "iso2": "BR",
      "iso3": "BRA",
      "latitude": "-10.81045150756836",
      "longitude": "-52.97311782836914",
      "geonameid": 3469034,
      "borders": [
        "ARG",
        "BOL",
        "COL",
        "GUF",
        "GUY",
        "PRY",
        "PER",
        "SUR",
        "URY",
        "VEN"
      ],
      "image_path": "https://cdn.sportmonks.com/images//countries/png/short/br.png"
    },
    {
      "id": 11,
      "continent_id": 1,
      "name": "Germany",
      "official_name": "Federal Republic of Germany",
      "fifa_name": "GER",
      "iso2": "DE",
      "iso3": "DEU",
      "latitude": "51.20246505737305",
      "longitude": "10.382203102111816",
      "geonameid": 2921044,
      "borders": [
        "AUT",
        "BEL",
        "CZE",
        "DNK",
        "FRA",
        "LUX",
        "NLD",
        "POL",
        "CHE"
      ],
      "image_path": "https://cdn.sportmonks.com/images//countries/png/short/de.png"
    },
Field
Description
Type

id

Refers to the id of the country

integer

continent_id

Refers to the continent of the country

integer

name

Displays the name of the country

string

official_name

Displays the officiel name of the country

string

fifa_name

Displays the official fifa shortcode name of the country

string

iso2

Returns the two letter country code

string

iso3

Returns the three letter country code

string

latitude

Returns the official latitude position of the country

string

longitude

Returns the official longitude position of the country

string

geonameid

Returns the official geonameid

integer

border

Returns all the neighbour countries of the country

string

image_path

Returns the image path of the country

string

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Static Filters
Available on Entity
Description
Example

IdAfter

GET All Countries

Filter all countries starting from a certain country ID. Handy if you're doing an import for all countries and want to continue from a certain ID.

&filters=IdAfter:countryID

The dynamic filters are based on entities and includes. Each dynamic filter uses an entity to filter on and one entity to apply the filter on. Below are examples with explanations of how filters are set up. For more information, please look at our Filters page.

Dynamic Filters
Available on Entity
Description
Examples

regions

Region Check this endpoint for all possibilities.

Filter regions based on countries.

&include=regions&filters=regionCountries:regionIDS

leagues

Check this endpoint for all possibilities.

Filter leagues based on countries.

&include=leagues&filters=leagueCountries:leagueIDS

Pagination

Yes

Include depth

You can use a total of 2 nested includes on this endpoint

Include options

continent leagues regions

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the countries' endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/core/countries?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/core/countries?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?